Index: palm/trunk/SOURCE/transpose.f90
===================================================================
--- palm/trunk/SOURCE/transpose.f90	(revision 2101)
+++ palm/trunk/SOURCE/transpose.f90	(revision 2118)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! OpenACC directives removed
 ! 
 ! Former revisions:
@@ -107,5 +107,4 @@
     !$OMP  PARALLEL PRIVATE ( i, j, k )
     !$OMP  DO
-    !$acc kernels present( f_in, f_inv )
      DO  i = 0, nx
          DO  k = nzb_x, nzt_x
@@ -115,5 +114,4 @@
          ENDDO
      ENDDO
-     !$acc end kernels
      !$OMP  END PARALLEL
 
@@ -165,5 +163,4 @@
        CALL cpu_log( log_point_s(32), 'mpi_alltoall', 'start', cpu_log_nowait )
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       !$acc update host( f_inv )
        CALL MPI_ALLTOALL( f_inv(nys_x,nzb_x,0),  sendrecvcount_xy, MPI_REAL, &
                           work(1,nzb_y,nxl_y,0), sendrecvcount_xy, MPI_REAL, &
@@ -175,8 +172,6 @@
 !$OMP  PARALLEL PRIVATE ( i, j, k, l, ys )
 !$OMP  DO
-       !$acc data copyin( work )
        DO  l = 0, pdims(2) - 1
           ys = 0 + l * ( nyn_x - nys_x + 1 )
-          !$acc kernels present( f_out, work )
           DO  i = nxl_y, nxr_y
              DO  k = nzb_y, nzt_y
@@ -186,7 +181,5 @@
              ENDDO
           ENDDO
-          !$acc end kernels
-       ENDDO
-       !$acc end data
+       ENDDO
 !$OMP  END PARALLEL
 #endif
@@ -198,5 +191,4 @@
 !$OMP  PARALLEL PRIVATE ( i, j, k )
 !$OMP  DO
-       !$acc kernels present( f_inv, f_out )
        DO  k = nzb_y, nzt_y
           DO  i = nxl_y, nxr_y
@@ -206,5 +198,4 @@
           ENDDO
        ENDDO
-       !$acc end kernels
 !$OMP  END PARALLEL
 
@@ -243,5 +234,4 @@
     !$OMP  PARALLEL PRIVATE ( i, j, k )
     !$OMP  DO
-    !$acc kernels present( f_inv, f_out )
      DO  k = 1, nz
          DO  i = nxl, nxr
@@ -251,5 +241,4 @@
          ENDDO
      ENDDO
-     !$acc end kernels
      !$OMP  END PARALLEL
 
@@ -304,8 +293,6 @@
 !$OMP  PARALLEL PRIVATE ( i, j, k, l, xs )
 !$OMP  DO
-       !$acc data copyout( work )
        DO  l = 0, pdims(1) - 1
           xs = 0 + l * nnx
-          !$acc kernels present( f_in, work )
           DO  k = nzb_x, nzt_x
              DO  i = xs, xs + nnx - 1
@@ -315,7 +302,5 @@
              ENDDO
           ENDDO
-          !$acc end kernels
-       ENDDO
-       !$acc end data
+       ENDDO
 !$OMP  END PARALLEL
 
@@ -327,5 +312,4 @@
                           f_inv(nys,nxl,1),      sendrecvcount_zx, MPI_REAL, &
                           comm1dx, ierr )
-       !$acc update device( f_inv )
        CALL cpu_log( log_point_s(32), 'mpi_alltoall', 'stop' )
 #endif
@@ -337,5 +321,4 @@
 !$OMP  PARALLEL PRIVATE ( i, j, k )
 !$OMP  DO
-       !$acc kernels present( f_in, f_inv )
        DO  i = nxl, nxr
           DO  j = nys, nyn
@@ -345,5 +328,4 @@
           ENDDO
        ENDDO
-       !$acc end kernels
 !$OMP  END PARALLEL
 
@@ -384,5 +366,4 @@
     !$OMP  PARALLEL PRIVATE ( i, j, k )
     !$OMP  DO
-    !$acc kernels present( f_inv, f_out )
      DO  i = 0, nx
          DO  k = nzb_x, nzt_x
@@ -392,5 +373,4 @@
          ENDDO
      ENDDO
-     !$acc end kernels
      !$OMP  END PARALLEL
 
@@ -442,8 +422,6 @@
 !$OMP  PARALLEL PRIVATE ( i, j, k, l, ys )
 !$OMP  DO
-       !$acc data copyout( work )
        DO  l = 0, pdims(2) - 1
           ys = 0 + l * ( nyn_x - nys_x + 1 )
-          !$acc kernels present( f_in, work )
           DO  i = nxl_y, nxr_y
              DO  k = nzb_y, nzt_y
@@ -453,7 +431,5 @@
              ENDDO
           ENDDO
-          !$acc end kernels
-       ENDDO
-       !$acc end data
+       ENDDO
 !$OMP  END PARALLEL
 
@@ -465,5 +441,4 @@
                           f_inv(nys_x,nzb_x,0),  sendrecvcount_xy, MPI_REAL, &
                           comm1dy, ierr )
-       !$acc update device( f_inv )
        CALL cpu_log( log_point_s(32), 'mpi_alltoall', 'stop' )
 #endif
@@ -475,5 +450,4 @@
 !$OMP  PARALLEL PRIVATE ( i, j, k )
 !$OMP  DO
-       !$acc kernels present( f_in, f_inv )
        DO  i = nxl_y, nxr_y
           DO  k = nzb_y, nzt_y
@@ -483,5 +457,4 @@
           ENDDO
        ENDDO
-       !$acc end kernels
 !$OMP  END PARALLEL
 
@@ -602,5 +575,4 @@
     !$OMP  PARALLEL PRIVATE ( i, j, k )
     !$OMP  DO
-    !$acc kernels present( f_in, f_inv )
      DO  j = 0, ny
          DO  k = nzb_y, nzt_y
@@ -610,5 +582,4 @@
          ENDDO
      ENDDO
-     !$acc end kernels
      !$OMP  END PARALLEL
 
@@ -660,5 +631,4 @@
 !$OMP  PARALLEL PRIVATE ( i, j, k )
 !$OMP  DO
-       !$acc kernels present( f_inv, f_out )
        DO  j = 0, ny
           DO  k = nzb_y, nzt_y
@@ -668,5 +638,4 @@
           ENDDO
        ENDDO
-       !$acc end kernels
 !$OMP  END PARALLEL
 
@@ -678,5 +647,4 @@
        CALL cpu_log( log_point_s(32), 'mpi_alltoall', 'start', cpu_log_nowait )
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       !$acc update host( f_inv )
        CALL MPI_ALLTOALL( f_inv(nxl_y,nzb_y,0),  sendrecvcount_yz, MPI_REAL, &
                           work(nxl_z,1,nys_z,0), sendrecvcount_yz, MPI_REAL, &
@@ -688,8 +656,6 @@
 !$OMP  PARALLEL PRIVATE ( i, j, k, l, zs )
 !$OMP  DO
-       !$acc data copyin( work )
        DO  l = 0, pdims(1) - 1
           zs = 1 + l * ( nzt_y - nzb_y + 1 )
-          !$acc kernels present( f_out )
           DO  j = nys_z, nyn_z
              DO  k = zs, zs + nzt_y - nzb_y
@@ -699,7 +665,5 @@
              ENDDO
           ENDDO
-          !$acc end kernels
-       ENDDO
-       !$acc end data
+       ENDDO
 !$OMP  END PARALLEL
 #endif
@@ -738,5 +702,4 @@
     !$OMP  PARALLEL PRIVATE ( i, j, k )
     !$OMP  DO
-    !$acc kernels present( f_in, f_inv )
      DO  k = 1,nz
          DO  i = nxl, nxr
@@ -746,5 +709,4 @@
          ENDDO
      ENDDO
-     !$acc end kernels
      !$OMP  END PARALLEL
 
@@ -796,5 +758,4 @@
 !$OMP  PARALLEL PRIVATE ( i, j, k )
 !$OMP  DO
-       !$acc kernels present( f_inv, f_out )
        DO  k = 1, nz
           DO  i = nxl, nxr
@@ -804,5 +765,4 @@
           ENDDO
        ENDDO
-       !$acc end kernels
 !$OMP  END PARALLEL
 
@@ -814,5 +774,4 @@
        CALL cpu_log( log_point_s(32), 'mpi_alltoall', 'start', cpu_log_nowait )
        IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
-       !$acc update host( f_inv )
        CALL MPI_ALLTOALL( f_inv(nys,nxl,1),      sendrecvcount_zx, MPI_REAL, &
                           work(nys_x,1,nzb_x,0), sendrecvcount_zx, MPI_REAL, &
@@ -824,8 +783,6 @@
 !$OMP  PARALLEL PRIVATE ( i, j, k, l, xs )
 !$OMP  DO
-       !$acc data copyin( work )
        DO  l = 0, pdims(1) - 1
           xs = 0 + l * nnx
-          !$acc kernels present( f_out )
           DO  k = nzb_x, nzt_x
              DO  i = xs, xs + nnx - 1
@@ -835,7 +792,5 @@
              ENDDO
           ENDDO
-          !$acc end kernels
-       ENDDO
-       !$acc end data
+       ENDDO
 !$OMP  END PARALLEL
 #endif
@@ -878,5 +833,4 @@
     !$OMP  PARALLEL PRIVATE ( i, j, k )
     !$OMP  DO
-    !$acc kernels present( f_inv, f_out )
      DO  k = nzb_y, nzt_y
          DO  j = 0, ny
@@ -886,5 +840,4 @@
          ENDDO
      ENDDO
-     !$acc end kernels
      !$OMP  END PARALLEL
 
@@ -938,8 +891,6 @@
 !$OMP  PARALLEL PRIVATE ( i, j, k, l, zs )
 !$OMP  DO
-       !$acc data copyout( work )
        DO  l = 0, pdims(1) - 1
           zs = 1 + l * ( nzt_y - nzb_y + 1 )
-          !$acc kernels present( f_in, work )
           DO  j = nys_z, nyn_z
              DO  k = zs, zs + nzt_y - nzb_y
@@ -949,7 +900,5 @@
              ENDDO
           ENDDO
-          !$acc end kernels
-       ENDDO
-       !$acc end data
+       ENDDO
 !$OMP  END PARALLEL
 
@@ -961,5 +910,4 @@
                           f_inv(nxl_y,nzb_y,0),  sendrecvcount_yz, MPI_REAL, &
                           comm1dx, ierr )
-       !$acc update device( f_inv )
        CALL cpu_log( log_point_s(32), 'mpi_alltoall', 'stop' )
 #endif
@@ -970,5 +918,4 @@
 !$OMP  PARALLEL PRIVATE ( i, j, k )
 !$OMP  DO
-       !$acc kernels present( f_in, f_inv )
        DO  k = nzb_y, nzt_y
           DO  j = 0, ny
@@ -978,5 +925,4 @@
           ENDDO
        ENDDO
-       !$acc end kernels
 !$OMP  END PARALLEL
 
